KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLMenuElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Menu list. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#edef-MENU"> MENU element definition in HTML 4.0. This element is deprecated in HTML 4.0.

## Methods
| __init__ (self)
| __init__ (self, DOM.HTMLMenuElement other)
| __init__ (self, DOM.Node other)
bool | compact (self)
| setCompact (self, bool a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLMenuElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

bool compact | ( |  | self ) |

Reduce spacing between list items. See the <a href="http://www.w3.org/TR/REC-html40/struct/lists.html#adef-compact"> compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setCompact | ( | self, |
|  | bool | a0
| ) |  |  |

see compact